Bug 23784 - Show subtitle, number and parts in course reserves list of items in OPAC
Summary: Show subtitle, number and parts in course reserves list of items in OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-09 11:34 UTC by Katrin Fischer
Modified: 2020-03-09 17:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 23784: Show subtitle, number and part in course reserve list of records (2.17 KB, patch)
2019-11-02 20:15 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 23784: Show subtitle, number and part in course reserve list of records (2.24 KB, patch)
2020-01-03 22:30 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23784: Show subtitle, number and part in course reserve list of records (2.31 KB, patch)
2020-02-05 10:47 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-10-09 11:34:15 UTC
It would be nice if the subtitle and number/part information (MARC21: 245$b$n$p) showed in the course reserves list of records.
Comment 1 Katrin Fischer 2019-11-02 20:15:53 UTC
Created attachment 94971 [details] [review]
Bug 23784: Show subtitle, number and part in course reserve list of records

At the moment only the title will display in the course reserves
details, but not the information from other title fields. For
series with multiple volumes that can lead to confusing display.
The patch makes use of the new include to display 245$abnp.

To test:
- Add mulitple records to a course reserce course
  Make sure you have some with different combinations of 245$b$n$p
- Look at the course details in the OPAC
- Verify only $a displays
- Apply patch
- Reload
- Verify now the full information displays

Depending on your installation, you might want ot check that the 245
are correctly mapped and save the record once so the database
fields are correctly filled.
Comment 2 ByWater Sandboxes 2020-01-03 22:30:24 UTC
Created attachment 96810 [details] [review]
Bug 23784: Show subtitle, number and part in course reserve list of records

At the moment only the title will display in the course reserves
details, but not the information from other title fields. For
series with multiple volumes that can lead to confusing display.
The patch makes use of the new include to display 245$abnp.

To test:
- Add mulitple records to a course reserce course
  Make sure you have some with different combinations of 245$b$n$p
- Look at the course details in the OPAC
- Verify only $a displays
- Apply patch
- Reload
- Verify now the full information displays

Depending on your installation, you might want ot check that the 245
are correctly mapped and save the record once so the database
fields are correctly filled.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2020-01-03 22:31:53 UTC
Katrin, this works and it good, so I'm signing it off. But can I interest you in widening it a bit to also include the staff side (course-details.pl)? I'd happily rush back to test and sign off again.
Comment 4 Katrin Fischer 2020-01-04 00:58:38 UTC
(In reply to Andrew Fuerste-Henry from comment #3)
> Katrin, this works and it good, so I'm signing it off. But can I interest
> you in widening it a bit to also include the staff side (course-details.pl)?
> I'd happily rush back to test and sign off again.

I am not sure when I would get to that - could we agree on a separate bug report to not hold this up?
Comment 5 Owen Leonard 2020-01-04 22:00:07 UTC
Bug 24343
Comment 6 Andrew Fuerste-Henry 2020-01-06 13:52:29 UTC
Signed off Owen's bug. Thanks!
Comment 7 Jonathan Druart 2020-02-05 10:47:51 UTC
Created attachment 98445 [details] [review]
Bug 23784: Show subtitle, number and part in course reserve list of records

At the moment only the title will display in the course reserves
details, but not the information from other title fields. For
series with multiple volumes that can lead to confusing display.
The patch makes use of the new include to display 245$abnp.

To test:
- Add mulitple records to a course reserce course
  Make sure you have some with different combinations of 245$b$n$p
- Look at the course details in the OPAC
- Verify only $a displays
- Apply patch
- Reload
- Verify now the full information displays

Depending on your installation, you might want ot check that the 245
are correctly mapped and save the record once so the database
fields are correctly filled.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Martin Renvoize 2020-02-05 14:28:27 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-03-05 00:01:23 UTC
Enhancement not pushed to 19.11.x
Comment 10 Joy Nelson 2020-03-09 17:56:39 UTC
Actually, I did push this to 19.11.x branch for 19.11.03